Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.data
Enum DataType

    java.lang.Object
      java.lang.Enum<DataType>
          jp.ac.nagoyau.is.ss.kishii.suntori.message.data.DataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataType>

    public enum DataType

extends java.lang.Enum<DataType>

This class show that what kind of value the data is.

Author:
  takefumi

Enum Constant Summary
`AMBULANCE_CENTER` ac id.
`AMBULANCE_TEAM` at id.
`AREA` area id.
`AREA_LIST` list of area id.
`BLOCKADE` blockade id.
`BROKENNESS` building brokenness.
`BUILDING` building id.
`BURIEDNESS` Agent buriedness.
`CENTER_AGENT` id of center(fs, ac, po)
`DAMAGE` Damage of Agent.
`FIERYNESS` Agent fieryness.
`FIRE_BRIGADE` fb id.
`FIRE_STATION` fs id.
`HP` HP of Agent.
`HUMAN` id of human agent(pf, fb, at, civ)
`ID_LIST` Deprecated.
`PLATOON_AGENT` id of platoon agent(pf, fb, at)
`POLICE_FORCE` pf id.
`POLICE_OFFICE` po id.
`REFUGE` refuge id.
`REPAIR_COST` blockade repair cost.
`RESCUE_AGENT` id of rescuer(fb, at, pf, fs, ac, po)
`ROAD` road id.
`TIME` time that simulation is started.
`WATER` water quantity that fb has.
`WATER_POWER` discharge water power.
`X_COORDINATE` x coordinate of the entities.
`Y_COORDINATE` y coordinate of the entities.

Method Summary
`static RCRSCSData<?>` | `createData(DataType type, int value)` Return `RCRSCSData` created from type and value.
`static EntityIDListData` | `createIDListData(DataType type)` Return `EntityIDListData` created from type. Here, only ID_LIST and AREA_LIST is accepted.
`static DataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TIME

    public static final DataType TIME

  time that simulation is started.

### X_COORDINATE

    public static final DataType X_COORDINATE

  x coordinate of the entities.

### Y_COORDINATE

    public static final DataType Y_COORDINATE

  y coordinate of the entities.

### AREA

    public static final DataType AREA

  area id.

### ROAD

    public static final DataType ROAD

  road id.

### BUILDING

    public static final DataType BUILDING

  building id.

### REFUGE

    public static final DataType REFUGE

  refuge id.

### BLOCKADE

    public static final DataType BLOCKADE

  blockade id.

### HUMAN

    public static final DataType HUMAN

  id of human agent(pf, fb, at, civ)

### FIRE_BRIGADE

    public static final DataType FIRE_BRIGADE

  fb id.

### AMBULANCE_TEAM

    public static final DataType AMBULANCE_TEAM

  at id.

### POLICE_FORCE

    public static final DataType POLICE_FORCE

  pf id.

### PLATOON_AGENT

    public static final DataType PLATOON_AGENT

  id of platoon agent(pf, fb, at)

### FIRE_STATION

    public static final DataType FIRE_STATION

  fs id.

### AMBULANCE_CENTER

    public static final DataType AMBULANCE_CENTER

  ac id.

### POLICE_OFFICE

    public static final DataType POLICE_OFFICE

  po id.

### CENTER_AGENT

    public static final DataType CENTER_AGENT

  id of center(fs, ac, po)

### RESCUE_AGENT

    public static final DataType RESCUE_AGENT

  id of rescuer(fb, at, pf, fs, ac, po)

### HP

    public static final DataType HP

  HP of Agent.

### DAMAGE

    public static final DataType DAMAGE

  Damage of Agent.

### BURIEDNESS

    public static final DataType BURIEDNESS

  Agent buriedness.

### FIERYNESS

    public static final DataType FIERYNESS

  Agent fieryness.

### WATER_POWER

    public static final DataType WATER_POWER

  discharge water power.

### REPAIR_COST

    public static final DataType REPAIR_COST

  blockade repair cost.

### BROKENNESS

    public static final DataType BROKENNESS

  building brokenness.

### WATER

    public static final DataType WATER

  water quantity that fb has.

### ID_LIST

    @Deprecated
    public static final DataType ID_LIST

  Deprecated.
  list of entity id.

### AREA_LIST

    public static final DataType AREA_LIST

  list of area id.

Method Detail

### values

    public static DataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataType c : DataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### createData

    public static RCRSCSData<?> createData(DataType type,
                                           int value)

  Return `RCRSCSData` created from type and value.

  Parameters:
    `type` - DataType
    `value` - actual value(int)
  Returns:
    RCRSCSData

### createIDListData

    public static EntityIDListData createIDListData(DataType type)

  Return `EntityIDListData` created from type.
  Here, only ID_LIST and AREA_LIST is accepted.

  Parameters:
    `type` - `DataType`
  Returns:
    `EntityIDListData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD